Bug 905088 - WARNING: CPU: 0 PID: 7399 at ../fs/btrfs/extent_io.c:430 insert_state+0x6a/0x1b0 [btrfs]()
WARNING: CPU: 0 PID: 7399 at ../fs/btrfs/extent_io.c:430 insert_state+0x6a/0x...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
201411*
i386 Other
: P5 - None : Normal (vote)
: ---
Assigned To: David Sterba
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-12 12:19 UTC by Martin Pluskal
Modified: 2015-04-22 11:45 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
jslaby: needinfo? (dsterba)


Attachments
dmesg (3.25 MB, text/plain)
2014-11-12 12:19 UTC, Martin Pluskal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Pluskal 2014-11-12 12:19:26 UTC
Created attachment 613349 [details]
dmesg

I have noticed following warnings in dmesg:
Nov 12 09:29:23 lojza kernel: ------------[ cut here ]------------
Nov 12 09:29:23 lojza kernel: WARNING: CPU: 0 PID: 7399 at ../fs/btrfs/extent_io.c:430 insert_state+0x6a/0x1b0 [btrfs]()
Nov 12 09:29:23 lojza kernel: BTRFS: end < start 4094 18446744073709551615
Nov 12 09:29:23 lojza kernel: Modules linked in: can phonet bluetooth vmw_vsock_vmci_transport vmw_vmci vsock caif_socket caif rose pppoe pppox ppp_generic slhc netrom scsi_transport_iscsi xfrm_user xfrm_algo md5 sctp libcrc32c af_802154 ieee802154 nfc rfkill irda crc_ccitt rds x25 atm appletalk ipx p8023 p8022 psnap llc ax25 iscsi_ibft iscsi_boot_sysfs af_packet asb100 hwmon_vid ppdev snd_wavefront snd_cs4236 snd_opl3_lib snd_hwdep snd_wss_lib snd_intel8x0 snd_ac97_codec snd_pcm snd_mpu401 snd_mpu401_uart snd_rawmidi snd_seq_device snd_timer skge pcspkr snd serio_raw shpchp ns558 gameport processor soundcore ac97_bus parport_pc parport forcedeth i2c_nforce2 dm_mod btrfs xor raid6_pq sr_mod cdrom ata_generic hid_generic usbhid nouveau video thermal_sys hwmon mxm_wmi wmi ohci_pci i2c_algo_bit drm_kms_helper ttm firewire_ohci
Nov 12 09:29:23 lojza kernel:  ehci_pci ohci_hcd ehci_hcd sata_sil pata_amd drm firewire_core crc_itu_t libata usbcore usb_common floppy button sg
Nov 12 09:29:23 lojza kernel: CPU: 0 PID: 7399 Comm: trinity-main Tainted: G        W      3.17.1-1.g5c4d099-default #1
Nov 12 09:29:23 lojza kernel: Hardware name: ASUSTeK Computer INC. A7N8X-E/A7N8X-E, BIOS ASUS A7N8X-E Deluxe ACPI BIOS Rev 1013  11/12/2004
Nov 12 09:29:23 lojza kernel:  f7eee53d f5181d8c c072c8bd f5181d9c c024bc74 f7ef172c f5181db8 00001ce7
Nov 12 09:29:23 lojza kernel:  f7eee53d 000001ae f7e8ab4a f7e8ab4a 00000009 00000000 f5181e40 d74f2d40
Nov 12 09:29:23 lojza kernel:  f5181da4 c024bcc3 00000009 f5181d9c f7ef172c f5181db8 f5181df0 f7e8ab4a
Nov 12 09:29:23 lojza kernel: Call Trace:
Nov 12 09:29:23 lojza kernel:  [<c0205b66>] try_stack_unwind+0x156/0x170
Nov 12 09:29:23 lojza kernel:  [<c02046b3>] dump_trace+0x53/0x180
Nov 12 09:29:23 lojza kernel:  [<c0205bc6>] show_trace_log_lvl+0x46/0x50
Nov 12 09:29:23 lojza kernel:  [<c0204831>] show_stack_log_lvl+0x51/0xe0
Nov 12 09:29:23 lojza kernel:  [<c0205c27>] show_stack+0x27/0x50
Nov 12 09:29:23 lojza kernel:  [<c072c8bd>] dump_stack+0x3e/0x4e
Nov 12 09:29:23 lojza kernel:  [<c024bc74>] warn_slowpath_common+0x84/0xa0
Nov 12 09:29:23 lojza kernel:  [<c024bcc3>] warn_slowpath_fmt+0x33/0x40
Nov 12 09:29:23 lojza kernel:  [<f7e8ab4a>] insert_state+0x6a/0x1b0 [btrfs]
Nov 12 09:29:23 lojza kernel:  [<f7e8b346>] __set_extent_bit+0x506/0x740 [btrfs]
Nov 12 09:29:23 lojza kernel:  [<f7e8c61e>] lock_extent_bits+0x6e/0x270 [btrfs]
Nov 12 09:29:23 lojza kernel:  [<f7e780af>] btrfs_evict_inode+0x12f/0x550 [btrfs]
Nov 12 09:29:23 lojza kernel:  [<c038d027>] evict+0x97/0x140
Nov 12 09:29:23 lojza kernel:  [<c0383704>] do_unlinkat+0x134/0x220
Nov 12 09:29:23 lojza kernel:  [<c03845f5>] SyS_unlink+0x15/0x20
Nov 12 09:29:23 lojza kernel:  [<c073259f>] sysenter_do_call+0x12/0x12
Nov 12 09:29:23 lojza kernel:  [<b77dade0>] 0xb77dade0
Nov 12 09:29:23 lojza kernel: ---[ end trace 621d5aa8620b681d ]---
Nov 12 09:29:23 lojza kernel: ------------[ cut here ]------------


After reboot filesystem does not seem corrupted, fsck shows no issues. Issue was observed on two different machines.
Comment 1 Jiri Slaby 2014-12-12 10:08:57 UTC
I think David might be interested?
Comment 2 Jeff Mahoney 2015-01-22 19:06:33 UTC
Apologies for this not getting attention sooner. Are you able to reproduce this with a 3.19-rc?
Comment 3 Martin Pluskal 2015-01-26 11:31:54 UTC
Sure, will try reproducing.
Comment 4 Martin Pluskal 2015-04-08 07:05:14 UTC
Haven't seen this issue in a while, feel free to close.
Comment 5 David Sterba 2015-04-08 13:23:24 UTC
Fixed by https://patchwork.kernel.org/patch/6122701/ , I'll add it to Kernel:stable.
Comment 6 David Sterba 2015-04-08 13:46:06 UTC
Fix committed to stable branch.